
package oasis.names.tc.dss._1_0.core.wsdl;

import java.net.MalformedURLException;
import java.util.Collection;
import java.util.HashMap;
import javax.xml.namespace.QName;
import org.codehaus.xfire.XFireRuntimeException;
import org.codehaus.xfire.aegis.AegisBindingProvider;
import org.codehaus.xfire.annotations.AnnotationServiceFactory;
import org.codehaus.xfire.annotations.jsr181.Jsr181WebAnnotations;
import org.codehaus.xfire.client.XFireProxyFactory;
import org.codehaus.xfire.service.Endpoint;
import org.codehaus.xfire.service.Service;
import org.codehaus.xfire.soap.AbstractSoapBinding;
import org.codehaus.xfire.transport.TransportManager;
import org.codehaus.xfire.xmlbeans.XmlBeansTypeRegistry;

public class digitalSignatureServiceClient {

    private static XFireProxyFactory proxyFactory = new XFireProxyFactory();
    private HashMap<QName, Endpoint> endpoints = new HashMap<QName, Endpoint>();
    private Service service0;

    public digitalSignatureServiceClient() {
        create0();
        Endpoint SOAPportLocalEndpointEP = service0 .addEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPportLocalEndpoint"), new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPportLocalBinding"), "xfire.local://digitalSignatureService");
        endpoints.put(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPportLocalEndpoint"), SOAPportLocalEndpointEP);
        Endpoint dssPortSoapEP = service0 .addEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPortSoap"), new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPBinding"), "http://psisbeta.catcert.net/psis/catcert/dss");
        endpoints.put(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPortSoap"), dssPortSoapEP);
        Endpoint dssPDFPortSoapEP = service0 .addEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPDFPortSoap"), new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPBinding"), "http://psisbeta.catcert.net/psis/catcert/dsspdf");
        endpoints.put(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPDFPortSoap"), dssPDFPortSoapEP);
    }

    public Object getEndpoint(Endpoint endpoint) {
        try {
            return proxyFactory.create((endpoint).getBinding(), (endpoint).getUrl());
        } catch (MalformedURLException e) {
            throw new XFireRuntimeException("Invalid URL", e);
        }
    }

    public Object getEndpoint(QName name) {
        Endpoint endpoint = ((Endpoint) endpoints.get((name)));
        if ((endpoint) == null) {
            throw new IllegalStateException("No such endpoint!");
        }
        return getEndpoint((endpoint));
    }

    public Collection<Endpoint> getEndpoints() {
        return endpoints.values();
    }

    private void create0() {
        TransportManager tm = (org.codehaus.xfire.XFireFactory.newInstance().getXFire().getTransportManager());
        HashMap<String, Boolean> props = new HashMap<String, Boolean>();
        props.put("annotations.allow.interface", true);
        AnnotationServiceFactory asf = new AnnotationServiceFactory(new Jsr181WebAnnotations(), tm, new AegisBindingProvider(new XmlBeansTypeRegistry()));
        asf.setBindingCreationEnabled(false);
        service0 = asf.create((oasis.names.tc.dss._1_0.core.wsdl.SOAPport.class), props);
        {
            @SuppressWarnings("unused")
			AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPBinding"), "http://schemas.xmlsoap.org/soap/http");
        }
        {
            @SuppressWarnings("unused")
			AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPportLocalBinding"), "urn:xfire:transport:local");
        }
    }

    public SOAPport getSOAPportLocalEndpoint() {
        return ((SOAPport)(this).getEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "SOAPportLocalEndpoint")));
    }

    public SOAPport getSOAPportLocalEndpoint(String url) {
        SOAPport var = getSOAPportLocalEndpoint();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

    public SOAPport getdssPortSoap() {
        return ((SOAPport)(this).getEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPortSoap")));
    }

    public SOAPport getdssPortSoap(String url) {
        SOAPport var = getdssPortSoap();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

    public SOAPport getdssPDFPortSoap() {
        return ((SOAPport)(this).getEndpoint(new QName("urn:oasis:names:tc:dss:1.0:core:wsdl", "dssPDFPortSoap")));
    }

    public SOAPport getdssPDFPortSoap(String url) {
        SOAPport var = getdssPDFPortSoap();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

}
